> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udgridlayout.md).

# New-UDGridLayout

### Sinopsis

Crea un nuevo diseño de cuadrícula. El diseño de cuadrícula le permite arrastrar y soltar componentes en una cuadrícula.

### Sintaxis

```powershell
New-UDGridLayout [[-Id] <String>] [[-RowHeight] <Int32>] [-Content] <ScriptBlock> [[-Layout] <String>] [[-LargeColumns] <Int32>] [[-MediumColumns] <Int32>] [[-SmallColumns] <Int32>] [[-ExtraSmallColumns] <Int32>] [[-ExtraExtraSmallColumns] <Int32>] [[-LargeBreakpoint] <Int32>] [[-MediumBreakpoint] <Int32>] [[-SmallBreakpoint] <Int32>] [[-ExtraSmallBreakpoint] <Int32>] [[-ExtraExtraSmallBreakpoint] <Int32>] [-Draggable] [-Resizable] [-Persist] [-Design] [<CommonParameters>]
```

### Descripción

Crea un nuevo diseño de cuadrícula. El diseño de cuadrícula le permite arrastrar y soltar componentes en una cuadrícula.

### Parámetros

#### -Id

El ID de este componente. El valor predeterminado es un GUID aleatorio.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -RowHeight

La altura de cada fila en píxeles. El valor predeterminado es 30.

```
Required?                    false
Position?                    2
Default value                30
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

El contenido del diseño de cuadrícula. Se trata de un scriptblock que devuelve una lista de componentes. Es obligatorio que los componentes tengan ID estáticos.

```
Required?                    true
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Layout

El diseño de la cuadrícula. Debe ser una cadena JSON.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LargeColumns

El número de columnas en el punto de ruptura grande. El valor predeterminado es 12.

```
Required?                    false
Position?                    5
Default value                12
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -MediumColumns

El número de columnas en el punto de ruptura medio. El valor predeterminado es 10.

```
Required?                    false
Position?                    6
Default value                10
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -SmallColumns

El número de columnas en el punto de ruptura pequeño. El valor predeterminado es 6.

```
Required?                    false
Position?                    7
Default value                6
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraSmallColumns

El número de columnas en el punto de ruptura extrapequeño. El valor predeterminado es 4.

```
Required?                    false
Position?                    8
Default value                4
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraExtraSmallColumns

El número de columnas en el punto de ruptura extraextrapequeño. El valor predeterminado es 2.

```
Required?                    false
Position?                    9
Default value                2
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LargeBreakpoint

La anchura del punto de ruptura grande en píxeles. El valor predeterminado es 1200.

```
Required?                    false
Position?                    10
Default value                1200
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -MediumBreakpoint

La anchura del punto de ruptura medio en píxeles. El valor predeterminado es 996.

```
Required?                    false
Position?                    11
Default value                996
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -SmallBreakpoint

La anchura del punto de ruptura pequeño en píxeles. El valor predeterminado es 768.

```
Required?                    false
Position?                    12
Default value                768
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraSmallBreakpoint

La anchura del punto de ruptura extrapequeño en píxeles. El valor predeterminado es 480.

```
Required?                    false
Position?                    13
Default value                480
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraExtraSmallBreakpoint

La anchura del punto de ruptura extraextrapequeño en píxeles. El valor predeterminado es 0.

```
Required?                    false
Position?                    14
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Draggable [<SwitchParameter>]
        Whether or not the components can be dragged.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Resizable [<SwitchParameter>]
        Whether or not the components can be resized.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Persist [<SwitchParameter>]
        Whether or not the layout should be persisted in the current browser session.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Design [<SwitchParameter>]
        Whether or not the grid layout is in design mode. Design mode allows for copying of the current JSON layout.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    <CommonParameters>
        This cmdlet supports the common parameters: Verbose, Debug,
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
        OutBuffer, PipelineVariable, and OutVariable. For more information, see
        about_CommonParameters (https://go.microsoft.com/fwlink/?LinkID=113216).
```

### Salidas

\-------------------------- EJEMPLO 1 --------------------------

```
PS >New-UDGridLayout -Content {
PS >     New-UDCard -Text "Card 1" -Id "card1"
PS >     New-UDCard -Text "Card 2" -Id "card2"
PS > } -Id 'gridLayout1' -Draggable -Resizable -Layout '{"lg":[{"w":2,"h":3,"x":0,"y":0,"i":"grid-element-card1","moved":false,"static":false},{"w":2,"h":3,"x":2,"y":0,"i":"grid-element-card2","moved":false,"static":false}]}'

Basic Grid Layout|Create a basic grid layout with two cards.




-------------------------- EXAMPLE 2 --------------------------

PS >New-UDGridLayout -Content {
PS >     New-UDCard -Text "Card 3" -Id "card3"
PS >     New-UDCard -Text "Card 4" -Id "card4"
PS > } -Id 'gridLayout2' -Design -Draggable -Resizable -Layout '{"lg":[{"w":2,"h":3,"x":0,"y":0,"i":"grid-element-card3","moved":false,"static":false},{"w":2,"h":3,"x":2,"y":0,"i":"grid-element-card4","moved":false,"static":false}]}'

Draggable and Resizable|Create a grid layout with two cards that can be dragged and resized. This layout is also in design mode which allows you to copy the current layout as JSON.




-------------------------- EXAMPLE 3 --------------------------

PS >New-UDGridLayout -Content {
PS >     New-UDCard -Text "Card 5" -Id "card5"
PS >     New-UDCard -Text "Card 6" -Id "card6"
PS > } -Id 'gridLayout3' -Design -Draggable -Resizable -Persist -Layout '{"lg":[{"w":2,"h":3,"x":0,"y":0,"i":"grid-element-card5","moved":false,"static":false},{"w":2,"h":3,"x":2,"y":0,"i":"grid-element-card6","moved":false,"static":false}]}'

Persisted Layout|This layout is also persisted in the current browser session. Refresh the page to see the persisted layout.


[Component("Grid Layout", "TableLayout", "Creates a new card.")]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udgridlayout.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
